create table t1(a int primary key);
create table s1.t1(a int);
create table l1.s2.t1(a int);
create table t2(a int not null 
				   references t1(a) on delete cascade not enforced 
				   constraint check_constr check (a>6)
				);
				
create table t3(a int not null,
			    b int not null,
			    c int not null,
			    d int not null,
			    constraint pk1 primary key(a,b),
			    constraint uq1 unique(c,d),
			    constraint chk1 check(a>b)
			    );
			    
create table t4(a int not null,
				b int not null,
				c int not null,
				d int not null,
				constraint fk1 foreign key(a,b) references t3(a,b),
				constraint fk2 foreign key(c,d) references t3(c,d)
				);