CREATE PROCEDURE UPDATE_SALARY_1 (IN EMPLOYEE_NUMBER CHAR(10), IN RATE DECIMAL(6,2)) 
LANGUAGE SQL 
MODIFIES SQL DATA 
WLM ENVIRONMENT PARTSA 
DETERMINISTIC 
RUN OPTIONS 'MSGFILE(OUTFILE),RPTSTG(ON),RPTOPTS(ON)' 
COMMIT ON RETURN YES 
UPDATE EMP SET SALARY = SALARY * RATE WHERE EMPNO = EMPLOYEE_NUMBER;

ALTER PROCEDURE UPDATE_SALARY_1 
COMMIT ON RETURN NO;

CREATE PROCEDURE SYSPROC.MYPROC(IN IN1 INT, OUT OUT1 INT, OUT OUT2 DECIMAL(7,2)) 
LANGUAGE COBOL 
EXTERNAL NAME MYMODULE 
PARAMETER STYLE SQL 
WLM ENVIRONMENT PARTSA 
DYNAMIC RESULT SETS 1 
RUN OPTIONS 'HEAP(,,ANY),BELOW(4K,,),ALL31(ON),STACK(,,ANY,)';

CREATE PROCEDURE PARTS_ON_HAND(IN PARTNUM INT, OUT COST DECIMAL(7,2), OUT QUANTITY INT) 
LANGUAGE JAVA 
EXTERNAL NAME 'PARTS.ONHAND' 
PARAMETER STYLE JAVA;

CREATE PROCEDURE SYSPROC.MYPROC2(IN IN1 INT, OUT OUT1 INT, OUT OUT2 DECIMAL(7,2)) 
LANGUAGE COBOL 
EXTERNAL NAME MYMODULE 
PARAMETER STYLE GENERAL 
WLM ENVIRONMENT PARTSA 
DYNAMIC RESULT SETS 1;

CREATE TABLE EMPLOYEE(EMPNO CHAR(10), EMPNAME VARCHAR(30), SALARY INT);
 
CREATE PROCEDURE UPDATE_SALARY_2 (IN EMPLOYEE_NUMBER CHAR(10), IN RATE DECIMAL(6,2))
LANGUAGE SQL
MODIFIES SQL DATA
COLLID TEST
EXTERNAL NAME 'UPDTSAL'
WLM ENVIRONMENT WLMENV1
BEGIN 
     UPDATE EMPLOYEE
       SET SALARY = SALARY *RATE
       WHERE EMPNO =EMPLOYEE_NUMBER;
END P1;


